Home | Download | Screen shots | Discussion | Documentation
--- | --- | --- | --- | ---

# openvrml::node_event_listener Class Reference

Base class for event listeners of nodes. More...

`#include <openvrml/event.h>`

Inheritance diagram for openvrml::node_event_listener:
[legend]

List of all members.

## Public Member Functions

virtual | ~node_event_listener () throw ()
| Destroy.
openvrml::node & | node () const throw ()
| The `node` to which the `node_event_listener` belongs.
const std::string | eventin_id () const throw ()
| The associated `eventIn` identifier.

## Protected Member Functions

| node_event_listener (openvrml::node &n) throw ()
| Construct.

## Private Member Functions

virtual const std::string | do_eventin_id () const =0 throw ()
| The associated `eventIn` identifier.

## Private Attributes

openvrml::node * | node_
| The `node` to which the `node_event_listener` belongs.

## Detailed Description

Base class for event listeners of nodes.

## Constructor & Destructor Documentation

openvrml::node_event_listener::~node_event_listener | ( |  | ) | throw ()`[virtual]`

Destroy.

openvrml::node_event_listener::node_event_listener | ( | openvrml::node & | n | ) | throw ()`[explicit, protected]`

Construct.

Parameters:

  `[in]` | n | the `node` to which the `node_event_listener` belongs.

## Member Function Documentation

openvrml::node & openvrml::node_event_listener::node | ( |  | ) | const throw ()

The `node` to which the `node_event_listener` belongs.

Returns:
  the `node` to which the `node_event_listener` belongs.

const std::string openvrml::node_event_listener::eventin_id | ( |  | ) | const throw ()

The associated `eventIn` identifier.

This function delegates to `node_event_listener::do_eventin_id`.

Returns:
  the associated `eventIn` identifier.

const std::string openvrml::node_event_listener::do_eventin_id | ( |  | ) | const throw ()`[private, pure virtual]`

The associated `eventIn` identifier.

Concrete subclasses must implement this function.

Returns:
  the associated `eventIn` identifier.

Implemented in openvrml::node_impl_util::event_listener_base< Node >, openvrml::script_node::set_url_listener_t, openvrml::script_node::set_metadata_listener, and openvrml::node_impl_util::event_listener_base< Derived >.

## Member Data Documentation

openvrml::node * openvrml::node_event_listener::node_`[private]`

The `node` to which the `node_event_listener` belongs.

For internal use only.